<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaycheckSearch StructType
 * @subpackage Structs
 */
class PaycheckSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PaycheckSearchBasic
     */
    public $basic;
    /**
     * The employeeJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchBasic
     */
    public $employeeJoin;
    /**
     * The payrollItemJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PayrollItemSearchBasic
     */
    public $payrollItemJoin;
    /**
     * Constructor method for PaycheckSearch
     * @uses PaycheckSearch::setBasic()
     * @uses PaycheckSearch::setEmployeeJoin()
     * @uses PaycheckSearch::setPayrollItemJoin()
     * @param \StructType\PaycheckSearchBasic $basic
     * @param \StructType\EmployeeSearchBasic $employeeJoin
     * @param \StructType\PayrollItemSearchBasic $payrollItemJoin
     */
    public function __construct(\StructType\PaycheckSearchBasic $basic = null, \StructType\EmployeeSearchBasic $employeeJoin = null, \StructType\PayrollItemSearchBasic $payrollItemJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setEmployeeJoin($employeeJoin)
            ->setPayrollItemJoin($payrollItemJoin);
    }
    /**
     * Get basic value
     * @return \StructType\PaycheckSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\PaycheckSearchBasic $basic
     * @return \StructType\PaycheckSearch
     */
    public function setBasic(\StructType\PaycheckSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get employeeJoin value
     * @return \StructType\EmployeeSearchBasic|null
     */
    public function getEmployeeJoin()
    {
        return $this->employeeJoin;
    }
    /**
     * Set employeeJoin value
     * @param \StructType\EmployeeSearchBasic $employeeJoin
     * @return \StructType\PaycheckSearch
     */
    public function setEmployeeJoin(\StructType\EmployeeSearchBasic $employeeJoin = null)
    {
        $this->employeeJoin = $employeeJoin;
        return $this;
    }
    /**
     * Get payrollItemJoin value
     * @return \StructType\PayrollItemSearchBasic|null
     */
    public function getPayrollItemJoin()
    {
        return $this->payrollItemJoin;
    }
    /**
     * Set payrollItemJoin value
     * @param \StructType\PayrollItemSearchBasic $payrollItemJoin
     * @return \StructType\PaycheckSearch
     */
    public function setPayrollItemJoin(\StructType\PayrollItemSearchBasic $payrollItemJoin = null)
    {
        $this->payrollItemJoin = $payrollItemJoin;
        return $this;
    }
}
